﻿using UnityEngine;
using System.Collections;
using System;

public enum Events
{
    E00,
    E01,
    E02,
    E03,
    E04,
    E05,
    E06,
    E07,
    E08,
    E09,
    E10,
    E11,
    E12,
    E13,
    E14,
    E15,
    E16,
    E17,
    E18,
    E19,
    E20,
    E21,
    E22,
    E23,
    E24,
    E25,
    E26,
    E27,
    E28,
    E29,
}

public class EventsManager
{
    private static bool[] events;

    public static void InitEvents()
    {
        events = new bool[Enum.GetNames(typeof(Events)).Length];
    }

    public static bool GetEventValue(Events theEvent)
    {
        return events[(int)theEvent];
    }

    public static void SetEventValue(Events theEvent, bool value)
    {
        events[(int)theEvent] = value;
    }
}
